Bug 1031273 - kworker Task over 50% after some time
kworker Task over 50% after some time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 05:10 EST by nostritius
Modified: 2013-12-27 04:08 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 04:08:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nostritius 2013-11-16 05:10:42 EST
Description of problem:
The kworker task uses constant 50% after some time. There are several different kworkers with different second numbers and 0 as first number. I use an Asus f201e with fedora gnome. The problem occurs after the last update of fedora. I had this bug before, but I fixed it with this https://www.blakerohde.com/blog/2012/05/fedora-16-17-kworker-high-cpu/

Version-Release number of selected component (if applicable):
Fedora 19

How reproducible:
Install fedora 19 on an asus f201e with second installed windows which uses half of the hard drive.

Additional info:
I have also tried to use pcie_ports=compat but it didn't work either
Comment 1 nostritius 2013-11-18 04:21:35 EST
I have to correct myself, the numbers of the kworker are every time different in both, the first and the second number.
Comment 2 Michele Baldessari 2013-11-18 15:20:57 EST
Hard to say if it is expected or not.

you could do the following (either before kworker threads go high in cpu usage
[better] or during the event itself [less ideal): 
sudo perf record -a

Let it run for a minute or so (while the kworker threads are consuming CPU) and
then stop it.

Then run:
sudo perf report --stdio > perf.txt

Upload 'perf.txt' to this case
Comment 3 Michele Baldessari 2013-11-26 16:24:26 EST
Setting needinfo appropriately. see c#2
Comment 4 Michele Baldessari 2013-12-25 14:05:16 EST
Hi 

can you provide the info asked for in comment 2 please?

Thanks,
Michele
Comment 5 nostritius 2013-12-27 03:15:16 EST
Please excuse me for not answering. I decided to move to debian, because it works more battery friendly then fedora even without the kworker task. if no one else is interested in this problem you can close here.
Comment 6 nostritius 2013-12-27 03:15:53 EST
Please excuse me for not answering. I decided to move to debian, because it works more battery friendly then fedora even without the kworker task. if no one else is interested in this problem you can close here.
Comment 7 Michele Baldessari 2013-12-27 04:08:07 EST
Ok, no worries. I'll close this for now. If someone else will see this issue they will open another BZ

Note You need to log in before you can comment on or make changes to this bug.